List Campaigns
Retrieve a list of campaigns. The campaigns can be filtered by fields such as `id`. The campaigns can also be sorted or paginated.
In: header
Query Parameters
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
The number of items to skip when retrieving a list.
Limit the number of items returned in the list.
The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.
Whether to include deleted records in the result.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/campaigns"{
"limit": 0,
"offset": 0,
"count": 0,
"campaigns": [
{
"id": "string",
"name": "string",
"description": "string",
"currency": "string",
"campaign_identifier": "string",
"starts_at": "string",
"ends_at": "string",
"budget": {
"id": "string",
"type": "spend",
"currency_code": "string",
"limit": 0,
"used": 0
}
}
]
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}